Getting Credentials To Migrate To CredHub

Getting Credentials To Migrate To CredHub
Getting Credentials to Migrate to CredHub

Tanzu Ops Manager will migrate credentials to CredHub for you.

However, if you are using Tanzu Ops Manager solely as a manifest generator, using /api/v0/staged/installations/commit, then you need to download the list of credentials for all products from this endpoint and load them into your CredHub yourself with the CredHub CLI, before you can use the /api/v0/staged/installations/commit endpoint.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/credhub_credentials
COPY
Responses
200

OK

Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/credhub_credentials